org.apache.solr.client.solrj.io.stream

## Class TopicStream

- java.lang.Object
- - org.apache.solr.client.solrj.io.stream.TupleStream
  - - org.apache.solr.client.solrj.io.stream.CloudSolrStream
    - - org.apache.solr.client.solrj.io.stream.TopicStream

All Implemented Interfaces:
  Closeable, Serializable, AutoCloseable, Expressible, MapSerializable, MapWriter

    public class TopicStream
    extends CloudSolrStream
    implements Expressible

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.solr.client.solrj.io.stream.CloudSolrStream

`CloudSolrStream.StreamOpener, CloudSolrStream.TupleWrapper`

### Nested classes/interfaces inherited from interface org.apache.solr.common.MapWriter

`MapWriter.EntryWriter`

### Field Summary

Fields
`protected long` `checkpointEvery`

### Fields inherited from class org.apache.solr.client.solrj.io.stream.CloudSolrStream

`cloudSolrClient, collection, comp, eofTuples, fieldMappings, params, solrStreams, streamContext, tuples, zkHost`

### Constructor Summary

Constructors
Constructor and Description
`TopicStream(StreamExpression expression, StreamFactory factory)`
`TopicStream(String zkHost, String checkpointCollection, String collection, String id, long initialCheckpoint, long checkpointEvery, Map<String,String> params)` Deprecated.
`TopicStream(String zkHost, String checkpointCollection, String collection, String id, long initialCheckpoint, long checkpointEvery, SolrParams params)`

### Method Summary

All Methods Instance Methods Concrete Methods
`List<TupleStream>` `children()`
`void` `close()` Closes the CloudSolrStream
`protected void` `constructStreams()`
`int` `getCost()`
`void` `open()` Opens the CloudSolrStream
`Tuple` `read()`
`Explanation` `toExplanation(StreamFactory factory)` Returns an explanation about the stream object
`StreamExpression` `toExpression(StreamFactory factory)`

### Methods inherited from class org.apache.solr.client.solrj.io.stream.CloudSolrStream

`_read, adjustParams, getEofTuples, getSlices, getStreamSort, init, setFieldMappings, setStreamContext, setTrace`

### Methods inherited from class org.apache.solr.client.solrj.io.stream.TupleStream

`getShards, getStreamNodeId, writeMap`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.solr.common.MapWriter

`toMap`

### Field Detail

#### checkpointEvery

    protected long checkpointEvery

### Constructor Detail

#### TopicStream

    @Deprecated
    public TopicStream(String zkHost,
                                   String checkpointCollection,
                                   String collection,
                                   String id,
                                   long initialCheckpoint,
                                   long checkpointEvery,
                                   Map<String,String> params)

Deprecated.

#### TopicStream

    public TopicStream(String zkHost,
                       String checkpointCollection,
                       String collection,
                       String id,
                       long initialCheckpoint,
                       long checkpointEvery,
                       SolrParams params)

#### TopicStream

    public TopicStream(StreamExpression expression,
                       StreamFactory factory)
                throws IOException

Throws:
  `IOException`

### Method Detail

#### toExpression

    public StreamExpression toExpression(StreamFactory factory)
                                  throws IOException

Specified by:
  `toExpression` in interface `Expressible`
Overrides:
  `toExpression` in class `CloudSolrStream`
Throws:
  `IOException`

#### toExplanation

    public Explanation toExplanation(StreamFactory factory)
                              throws IOException

Description copied from interface: `Expressible`
Returns an explanation about the stream object

Specified by:
  `toExplanation` in interface `Expressible`
Overrides:
  `toExplanation` in class `CloudSolrStream`
Parameters:
  `factory` - Stream factory for this, contains information about the function name
Returns:
  Explanation about this stream object containing explanations of any child stream objects
Throws:
  `IOException` - throw on any error

#### children

    public List<TupleStream> children()

Overrides:
  `children` in class `CloudSolrStream`

#### open

    public void open()
              throws IOException

Description copied from class: `CloudSolrStream`
Opens the CloudSolrStream

Overrides:
  `open` in class `CloudSolrStream`
Throws:
  `IOException`

#### close

    public void close()
               throws IOException

Description copied from class: `CloudSolrStream`
Closes the CloudSolrStream

Specified by:
  `close` in interface `Closeable`
Specified by:
  `close` in interface `AutoCloseable`
Overrides:
  `close` in class `CloudSolrStream`
Throws:
  `IOException`

#### read

    public Tuple read()
               throws IOException

Overrides:
  `read` in class `CloudSolrStream`
Throws:
  `IOException`

#### getCost

    public int getCost()

Overrides:
  `getCost` in class `TupleStream`

#### constructStreams

    protected void constructStreams()
                             throws IOException

Overrides:
  `constructStreams` in class `CloudSolrStream`
Throws:
  `IOException`